html, body, form {
  height: 100%;
}

body {
  position: relative;
  padding-bottom: 40px;
  color: #5a5a5a;
  font-family: "Figtree", sans-serif;
}

pre {
  white-space: normal;
  word-break: break-word;
}

.black {
  color: black !important;
}

.white {
  color: white !important;
}

.no-margin {
  margin: 0px;
}

.navbar {
  margin-bottom: 0px;
  color: white;
  position: absolute;
  width: 100%;
}

.navbar-collapse {
  background-color: #fafafa;
}

.navbar a {
  font-family: "Figtree", sans-serif;
  font-weight: 600;
  text-transform: uppercase;
  font-size: 1em;
  color: black;
}

.nav>li>a:focus, .nav>li>a:hover {
  background-color: transparent;
}

.navbar>.container .navbar-brand, .navbar>.container-fluid .navbar-brand {
  margin-left: 15px;
}

.navbar a.navbar-brand {
  margin-top: 7px;
  width: 250px;
  height: 55px;
  background-image: url(/images/Logo_White.png?d=20181204);
  background-size: 250px 55px;
}

.navbar .navbar-toggle, .navbar .navbar-toggle:focus, .navbar .navbar-toggle:hover {
  background-color: transparent;
  border: 0;
  margin-top: 15px;
}

.navbar-toggle .icon-bar {
  background-color: white;
}

.navbar-wrapper {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 20;
}

.navbar-wrapper>.container {
  padding-right: 0;
  padding-left: 0;
}

.navbar-wrapper .navbar {
  padding-right: 15px;
  padding-left: 15px;
}

.navbar-wrapper .navbar .container {
  width: auto;
}

.navbar .profile-image {
  padding-top: 7px;
  padding-bottom: 8px;
}

.navbar .profile-image>div {
  width: 35px;
  height: 35px;
  display: inline-block;
  background-size: 35px 35px;
  border-radius: 17px;
  -webkit-border-radius: 17px;
  -moz-border-radius: 17px;
}

.navbar .profile-image>.caret {
  margin-top: -20px;
}

.nav .open>a, .nav .open>a:focus, .nav .open>a:hover {
  background-color: transparent;
  color: #2d95e0;
}

.navbar-nav>li>.dropdown-menu {
  border-radius: 25px;
  border-top-right-radius: 5px;
  border-bottom-left-radius: 5px;
}

.dropdown-menu {
  border: 0px;
  box-shadow: none;
  -webkit-box-shadow: none;
  background-color: #fafafa;
  padding: 0px;
}

.dropdown-menu>li>a {
  color: black;
}

.dropdown-menu>li>a:hover {
  background-image: none;
  background-color: transparent;
  color: #2d95e0;
}

.post-navbar-spacer {
  height: 50px;
}

.alert {
  border-radius: 0px;
}

.chfc-banner, .carousel-inner, .carousel-inner>.item {
  height: 100%;
}

.chfc-banner {
  margin-bottom: 0;
}

.chfc-banner .item {
  height: 90%;
  background-size: cover;
  background-position: right bottom;
}

.table-container {
  display: table;
  height: 100%;
  width: 100%;
}

.chfc-banner-caption {
  position: inherit;
  display: table-cell;
  vertical-align: middle;
  padding: 0 20%;
}

.chfc-banner-caption>h3 {
  text-shadow: 2px 2px navy;
}

.chfc-banner-caption>p {
  text-shadow: 2px 2px navy;
}

.little-banner {
  height: 71px;
  background-position: bottom;
  background-size: cover;
}

.chfc-body h1, .chfc-blurby h1 {
  color: #2D95E0;
  font-family: "Figtree", sans-serif;
  font-weight: 300;
}

.chfc-body h2, .chfc-blurby h2 {
  font-family: "Figtree", sans-serif;
  text-transform: uppercase;
  font-weight: 600;
  font-size: 0.8em;
  letter-spacing: 3px;
  line-height: 2em;
  color: #1169AA;
  border-bottom: 1px solid #ddd;
}

a {
  color: #2D95E0;
}

.chfc-body h3, .chfc-blurby h3 {
  font-family: "Figtree", sans-serif;
}

.chfc-body h1 {
  font-size: 2.8em;
}

.chfc-blurby {
  font-size: 1.3em;
  font-weight: 500;
  line-height: 1.4;
}

.chfc-blurby h1 {
  font-size: 2.8em;
}

.chfc-blurby>.container, .chfc-blurby>.container-fluid {
  margin-top: 80px;
  margin-bottom: 80px;
}

.chfc-blurby>.container:first-child, .chfc-blurby>.container-fluid:first-child {
  margin-top: 0px;
}

.page-draft {
  background-image: url(../images/draftwatermark.png);
  background-position: center;
  background-size: 300px;
  border: 1px dashed #aaa;
  padding: 10px;
}

input, select, textarea, button {
  font-family: "Figtree", sans-serif;
}

.chfc-sermon-player {
  width: 100%;
  right: 0px;
  bottom: 0px;
  margin-top: -10px;
  position: fixed;
  z-index: 1000;
}

.featurette {
  margin: 15px 0;
}

.featurette>.no-padding {
  margin-left: -15px;
  margin-right: -15px;
}

.featurette-divider {}

.fixed-scroll-image {
  height: 300px;
  background-attachment: fixed;
  overflow: hidden;
  background-size: cover;
  background-position: right;
}

.openIdBtn, .openIdBtn:link, .openIdBtn:hover {
  display: inline-block;
  width: 100px;
  height: 60px;
}

.openIdBtn:hover {
  border-color: black;
  box-shadow: 2px 2px 4px silver;
  -webkit-box-shadow: 5px 5px 6px silver;
}

.sermon-panel {
  background-color: #2d95e0;
  color: white;
}

.panel-members-only {
  background-color: orange;
}

.members-only-badge {
  font-size: 7pt;
  font-weight: bold;
  text-transform: uppercase;
  border: 1px solid red;
  padding: 2px;
  margin-right: 5px;
  text-align: center;
  color: red;
  cursor: help;
}

.sermon-panel-group .panel-heading+.panel-collapse>.list-group, .sermon-panel-group .panel-heading+.panel-collapse>.panel-body {
  background-color: white;
  color: black;
  border-top: 0px;
}

.chfc-sermon-detail-table td:first-child {
  width: 100px;
}

.chfc-sermon-detail-table .transcription {
  white-space: pre-wrap;
  line-height: 1.5em;
  font-size: 1.3em;
}

.page-footer {
  margin-top: 200px;
  -webkit-box-shadow: 0px -1px 0px rgba(255, 255, 255, 0.15), 0px -1px 5px rgba(0, 0, 0, 0.075);
  -moz-box-shadow: 0px -1px 0px rgba(255, 255, 255, 0.15), 0px -1px 5px rgba(0, 0, 0, 0.075);
  box-shadow: 0px -1px 0px rgba(255, 255, 255, 0.15), 0px -1px 5px rgba(0, 0, 0, 0.075);
}

.page-footer .social-links {
  margin-top: 10px;
}

.page-footer .social-links img {
  height: 32px;
  width: 32px;
  margin-bottom: 10px;
}

.chfc-checkboxlist td {
  padding-top: 5px;
  padding-bottom: 5px;
}

.chfc-checkboxlist label {
  margin-left: 10px;
}

@media (max-width: 1199px) {
  .page-footer img, .page-footer h2, .page-footer h3 {
    margin: 0px;
  }
  .page-footer .social-links {
    margin-top: 0px;
  }
  .page-footer .social-links img {
    margin-left: 5px;
    margin-right: 5px;
  }
}

.page-footer .footer-block {
  background-color: #7D7D7D;
  border-top: 1px solid #e7e7e7;
  border-bottom: 1px solid #e7e7e7;
  padding-top: 50px;
  padding-bottom: 50px;
}

@media (min-width: 992px) {
  .page-footer > .footer-block > .container {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
}

.page-footer .tweets {}

.page-footer .footer-copyright {
  background-color: #1169AA;
  text-align: center;
  color: white;
}

.page-footer .footer-copyright p {
  margin-top: 10px;
  margin-bottom: 10px;
}

.editableSections .container-fluid>.row>[class^="col-md-"], .editableSections .container-fluid>.row>[class*=" col-md-"], .editableSections .container-fluid>.row>.no-padding {
  background-color: #2D95E0;
  border: 5px solid white;
}

.editableSections .popover {
  max-width: none;
  width: inherit;
  text-align: left;
}

.editableSections .popover img {
  width: 100%;
}

.editableSections .popover-content * {
  font-size: 1em;
}

.clickable {
  cursor: pointer;
}

[data-function="dragHandle"] {
  text-align: right;
  width: 15px;
  height: 30px;
  background-image: url("../images/draghandle.png");
  cursor: move;
}

[data-function="dragHandle"].for-sections {
  margin-top: 30px;
}

/* RefTagger styles */

.rtTooltipHeader {
  background-color: #2D95E0 !important;
  color: white !important;
}

.table .table-row {
  padding-top: 2px;
  padding-bottom: 2px;
}

.table-striped .table-row:nth-child(even) {
  background-color: white;
}

.table-striped .table-row:nth-child(odd) {
  background-color: #f8f8f8;
}

.btn-default.active, .btn-default:active {
  background-color: #aaa;
  color: white;
}

.btn-danger, .btn-primary, .btn-default {
  background-image: none;
}

.toggle-filter.active {
  background-color: #2D95E0;
  color: white;
}

/* Triangle styles from https://css-tricks.com/snippets/css/css-triangle/ */

.arrow-up {
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-bottom: 5px solid white;
}

.arrow-down {
  width: 0;
  height: 0;
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  border-top: 20px solid white;
}

.arrow-right {
  width: 0;
  height: 0;
  border-top: 60px solid transparent;
  border-bottom: 60px solid transparent;
  border-left: 60px solid white;
}

.arrow-left {
  width: 0;
  height: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-right: 10px solid white;
}

.holler-panel {
  background-color: transparent;
  margin-bottom: 0px;
  border-bottom-right-radius: 0px;
  border-color: #2D95E0;
}

.holler-panel-body {
  padding: 0px;
}

.holler-panel-body [class^="col-md-"] {
  padding-top: 15px;
  padding-bottom: 15px;
}

.holler-user-image {
  width: 64px;
  height: 64px;
  display: inline-block;
  background-size: 64px 64px;
}

.holler-requester {
  text-align: center;
}

.holler-requester-name {
  color: #337ab7;
}

.holler-time-ago {
  font-size: 0.6em;
  font-style: italic;
  color: darkgray;
}

.holler-text {
  background-color: white;
  color: black;
  font-size: 0.9em;
}

.holler-response {
  background-color: orange;
  color: black;
  text-transform: uppercase;
  font-weight: bold;
  text-align: center;
  padding: 15px;
}

.holler-response-box {
  margin-bottom: 20px;
  padding-left: 0px;
  padding-right: 0px;
}

.holler-response-box [class^="col-md-"] {
  border: 1px solid #2D95E0;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  border-top: 0px;
  background-color: #f5f5ff;
  color: navy;
  font-size: 0.8em;
  padding-top: 5px;
  padding-bottom: 5px;
}

.holler-open:hover {
  transition: background-color 1s, color 1s;
  background-color: green;
  color: white;
  cursor: pointer;
}

.holler-close:hover {
  transition: background-color 1s, color 1s;
  background-color: red;
  color: white;
  cursor: pointer;
}

.holler-closed {
  background-color: red;
  color: white;
}

.holler-claimed {
  background-color: green;
  color: white;
}

.holler-expired {
  background-color: black;
  color: red;
}

.modal-header {
  background-color: #2d95e0;
  color: white;
}

#hollerFilters, #singleHollerFilters {
  margin-bottom: 15px;
}

.carousel-admin-slide-container {
  cursor: ns-resize;
  border-bottom: 1px solid silver;
  margin-bottom: 15px;
}

.carousel-admin-slide-img {
  height: 155px;
  width: 100%;
}

.carousel-admin-picker-img {
  width: 200px;
  height: 130px;
  background-position: center center;
  background-size: cover;
}

.carousel-admin-list-item-slice, .carousel-admin-list-item-slice-black {
  background-position: center center;
  background-size: cover;
  color: white;
  text-shadow: 2px 2px 3px #333;
}

.carousel-admin-list-item-slice-black {
  color: black;
  text-shadow: 2px 2px 3px #e7e7e7;
}

.carousel .carousel-inner .carousel-render-item .carousel-caption h3,
.carousel .carousel-inner .carousel-render-item .carousel-caption h3 a,
.carousel .carousel-inner .carousel-render-item .carousel-caption p {
  color: white;
  text-shadow: 5px 5px 10px #333;
}

.carousel .carousel-inner .carousel-render-item-darkText .carousel-caption h3,
.carousel .carousel-inner .carousel-render-item-darkText .carousel-caption h3 a,
.carousel .carousel-inner .carousel-render-item-darkText .carousel-caption p {
  color: black;
  text-shadow: 5px 5px 10px #e7e7e7;
}

.carousel {
  padding: 0px;
}

.carousel .carousel-inner .carousel-render-item,
.carousel .carousel-inner .carousel-render-item-darkText {
  width: 100%;
  background-position: center center;
  background-size: cover;
}

.carousel .carousel-inner .carousel-render-item .carousel-caption h3 a,
.carousel .carousel-inner .carousel-render-item-darkText .carousel-caption h3 a {
  text-decoration: underline;
}

.carousel.col-md-4 .carousel-inner .carousel-render-item,
.carousel.col-md-4 .carousel-inner .carousel-render-item-darkText {
  padding-bottom: 65%;
}

.carousel.col-md-6 .carousel-inner .carousel-render-item,
.carousel.col-md-6 .carousel-inner .carousel-render-item-darkText {
  padding-bottom: 50%;
}

.carousel.col-md-5 .carousel-inner .carousel-render-item,
.carousel.col-md-5 .carousel-inner .carousel-render-item-darkText {
  padding-bottom: 63%;
}

.carousel.col-md-7 .carousel-inner .carousel-render-item,
.carousel.col-md-7 .carousel-inner .carousel-render-item-darkText {
  padding-bottom: 45%;
}

.carousel-text-serif {
  font-family: "EB Garamond", serif !important;
}

.carousel-text-sansserif {
  font-family: "Figree", sans-serif !important;
}

.carousel-text-scratchy {
  font-family: "Shadows Into Light", cursive !important;
}

.carousel-text-cursive {
  font-family: "Pacifico", cursive !important;
}

.carousel-text-feet {
  font-family: "Playfair Display", serif !important;
}

.carousel-text-nofeet {
  font-family: "Lato", sans-serif !important;
}

.carousel-text-indie {
  font-family: "Amatic SC", cursive !important;
}

.carousel-text-small {
  font-size: 0.7em;
}

.carousel-text-medium {
  font-size: 2.1em;
}

.carousel-text-large {
  font-size: 3.5em;
}

.carousel-text-smallgap {
  letter-spacing: 0.1em;
}

.carousel-text-mediumgap {
  letter-spacing: 0.5em;
}

.carousel-text-largegap {
  letter-spacing: 1em;
}

.blog-comment-block,
.blog-comment-block-child {
  margin-top: 5px;
  margin-bottom: 0px;
  padding-bottom: 0px;
  border-left: 5px solid #2D95E0;
}

.blog-comment-block-child {
  border-left: 5px solid #1169AA;
}

.blog-blockquote-reverse {
  border-right: 5px solid #2D95E0;
}

.blog-reply-button {
  font-size: 0.75em;
  cursor: pointer;
}

.blog-text-group {
  margin-bottom: 0px;
}

@media(min-width: 1010px) {
  .container-blog {
    width: 750px;
  }

  .holler-user-image {
    width: 48px;
    height: 48px;
    background-size: 48px 48px;
  }

  .navbar a {
    letter-spacing: 3px;
  }
}

@media(min-width: 768px) and (max-width: 900px) {
  .container-blog {
    width: 750px;
  }

  .navbar-nav>li>a {
    padding-left: 5px;
    padding-right: 5px;
  }
}

@media(min-width: 768px) {
  .container-blog {
    width: 750px;
  }

  .navbar {
    background-color: transparent;
  }
  .navbar-collapse {
    background-color: transparent;
  }
  .navbar .profile-image {
    padding-top: 15px;
    padding-bottom: 15px;
  }
  .holler-user-image {
    vertical-align: middle;
  }
  .navbar>.container .navbar-brand, .navbar>.container-fluid .navbar-brand {
    margin-left: 0px;
  }
  .navbar a {
    color: white;
  }
  .navbar-brand, .navbar-nav>li>a {
    text-shadow: 1px 1px black;
  }
  .navbar .navbar-nav>.active>a, .navbar .navbar-nav>.open>a {
    background-image: none;
    background-color: transparent;
    border: 0;
    box-shadow: none;
    color: white;
  }
  .navbar-nav>li>a {
    padding-top: 25px;
    padding-bottom: 25px;
  }
  .dropdown-menu {}
  .post-navbar-spacer {
    height: 71px;
  }
  .dropdown-menu {
    text-align: right;
  }
  .dropdown-menu>li>a {
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .chfc-blurby h1 {
    font-size: 3.5em;
  }
  .holler-panel-body .row {
    height: 110px;
  }
  .holler-panel-body [class^="col-md-"] {
    height: 100%;
    vertical-align: middle;
  }
  .holler-requester:before, .holler-response:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -0.25em;
    /* Adjusts for spacing */
  }
  .holler-requester {
    text-align: center;
  }
  .holler-text {
    padding-left: 15px;
    padding-right: 15px;
    overflow-y: auto;
  }
  .holler-response {
    margin-top: 0px;
  }
  .carousel-text-small {
    font-size: 0.7em;
  }
  .carousel-text-medium {
    font-size: 2.5em;
  }
  .carousel-text-large {
    font-size: 4.3em;
  }
  .carousel-text-smallgap {
    letter-spacing: 0.1em;
  }
  .carousel-text-mediumgap {
    letter-spacing: 0.75em;
  }
  .carousel-text-largegap {
    letter-spacing: 1.5em;
  }
}